Name:           tetzle
Version:        2.0.1
Release:        %mkrel 3

Summary:        Jigsaw puzzle with tetromino pieces

Group:          Games/Puzzles
License:        GPLv3+
URL:            http://gottcode.org/%{name}/

Source:         http://gottcode.org/%{name}/%{name}-%{version}-src.tar.bz2

BuildRequires:  qt4-devel


%description
A jigsaw puzzle game that uses tetrominoes for the pieces.
Any image can be imported and used to create puzzles with
a wide range of sizes. Games are saved automatically, and
you can select between currently in progress games.

%prep
%setup -q -n %{name}-%{version}

%build
%qmake_qt4 PREFIX=%{_prefix}

%make

%install
%makeinstall INSTALL_ROOT=%{buildroot}
%__mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Tetzle
Name[en_GB]=Tetzle
Name[es]=Tetzle
Exec=tetzle
Icon=tetzle
Type=Application
GenericName=Puzzle Game
GenericName[en_GB]=Puzzle Game
GenericName[es]=Juego de Rompecabezas
Comment=Jigsaw puzzle with tetromino pieces
Comment[en_GB]=Jigsaw puzzle with tetromino pieces
Comment[es]=Juego de rompecabezas con piezas de tetrominó
Terminal=false
Categories=Qt;KDE;Game;LogicGame;
EOF

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/translations/*



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 2.0.1-3.mga3
+ Revision: 384416
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 25 2012 juancho <juancho> 2.0.1-2.mga3
+ Revision: 274161
- Changed qmake call for %%qmake_qt4 macro.
- Removed obsolete defattr call in %%files
- Simplified icon installation with one line for all icons in %%files.

  + vaci0 <vaci0>
    - Update version to 2.0.1

* Wed May 30 2012 juancho <juancho> 2.0.0-3.mga3
+ Revision: 251771
- Removed white space from desktop file entries.
- Removed unneeded g++ BR

  + vaci0 <vaci0>
    - imported package tetzle

